'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _settings = require('react-icons/lib/md/settings');

var _settings2 = _interopRequireDefault(_settings);

var _Button = require('./Button');

var _Button2 = _interopRequireDefault(_Button);

var _styles = require('../styles');

var _styles2 = _interopRequireDefault(_styles);

var _Settings = require('./Settings');

var _Settings2 = _interopRequireDefault(_Settings);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Instances = (_temp = _class = function (_Component) {
  _inherits(Instances, _Component);

  function Instances(props) {
    _classCallCheck(this, Instances);

    var _this = _possibleConstructorReturn(this, Object.getPrototypeOf(Instances).call(this, props));

    _this.initialSelect = [['Autoselect instances', 'auto']];
    return _this;
  }

  _createClass(Instances, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      this.select = [].concat(_toConsumableArray(this.initialSelect));
      Object.keys(this.props.instances).forEach(function (key) {
        _this2.select.push([_this2.props.instances[key], key]);
      });

      return _react2.default.createElement(
        'select',
        { style: _styles2.default.instances, onChange: this.props.onSelect },
        (this.select || this.initialSelect).map(function (option) {
          return _react2.default.createElement(
            'option',
            { key: option[1], value: option[1] },
            option[0]
          );
        })
      );
    }
  }]);

  return Instances;
}(_react.Component), _class.propTypes = {
  instances: _react.PropTypes.object.isRequired,
  onSelect: _react.PropTypes.func.isRequired
}, _temp);
exports.default = Instances;
module.exports = exports['default'];