'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = parseJSON;

var _jsan = require('jsan');

function parseJSON(data) {
  if (typeof data !== 'string') return data;
  try {
    return (0, _jsan.parse)(data);
  } catch (e) {
    if (process.env.NODE_ENV !== 'production') console.error(data + 'is not a valid JSON', e);
    return null;
  }
}
module.exports = exports['default'];