'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reduxDevtoolsThemes = require('redux-devtools-themes');

var themes = _interopRequireWildcard(_reduxDevtoolsThemes);

var _LogMonitorButton = require('redux-devtools-log-monitor/lib/LogMonitorButton');

var _LogMonitorButton2 = _interopRequireDefault(_LogMonitorButton);

var _styles = require('../styles');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var buttonProps = {
  theme: themes.nicinabox,
  enabled: true
};

exports.default = function (_ref) {
  var Icon = _ref.Icon;
  var children = _ref.children;

  var rest = _objectWithoutProperties(_ref, ['Icon', 'children']);

  return _react2.default.createElement(
    _LogMonitorButton2.default,
    _extends({}, buttonProps, rest),
    _react2.default.createElement(Icon, null),
    _react2.default.createElement(
      'span',
      { style: _styles2.default.buttonText },
      children
    )
  );
};

module.exports = exports['default'];