'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _settings = require('react-icons/lib/md/settings');

var _settings2 = _interopRequireDefault(_settings);

var _lightbulbO = require('react-icons/lib/fa/lightbulb-o');

var _lightbulbO2 = _interopRequireDefault(_lightbulbO);

var _Button = require('./Button');

var _Button2 = _interopRequireDefault(_Button);

var _styles = require('../styles');

var _styles2 = _interopRequireDefault(_styles);

var _Settings = require('./Settings');

var _Settings2 = _interopRequireDefault(_Settings);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var openModal = _ref.openModal;
  var closeModal = _ref.closeModal;
  var saveSettings = _ref.saveSettings;
  var socketOptions = _ref.socketOptions;
  return _react2.default.createElement(
    'div',
    { style: _styles2.default.buttonBar },
    _react2.default.createElement(
      _Button2.default,
      {
        Icon: _lightbulbO2.default,
        onClick: function onClick() {
          window.open('https://github.com/zalmoxisus/remote-redux-devtools');
        }
      },
      'How to use'
    ),
    _react2.default.createElement(
      _Button2.default,
      {
        Icon: _settings2.default,
        onClick: function onClick() {
          return openModal(_react2.default.createElement(_Settings2.default, { closeModal: closeModal,
            saveSettings: saveSettings, socketOptions: socketOptions
          }));
        }
      },
      'Settings'
    )
  );
};

module.exports = exports['default'];